> For the complete documentation index, see [llms.txt](https://docs.samesystem.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.samesystem.dev/api-v1-reference/weekly-balance/confirm-daily-numbers.md).

# Confirm daily numbers

Confirm daily numbers.

Confirming for a specified date might fail if:

* Mandatory field is not present.
* Comments must be filled in the weekly balance cash difference. Cash difference is detected, but not comment is present.

In both cases, the exact error reason will be specified in the description node and HTTP status will be 412 (Preconditional failed)

You can confirm a day regardless of whether the week is approved automatically. Week approval only acts a gate to prevent using the confirm endpoint for non-admin users. If the API user is an administrator, it can confirm a day even if the week is approved automatically.

```json
{"openapi":"3.0.0","info":{"title":"SameSystem API V1","version":"1.1.3"},"servers":[{"url":"https://api.samesystem.com/api/v1/","description":""}],"paths":{"/{clientToken}/weekly_balance/confirm/{date}/{register_number}":{"post":{"tags":["Weekly balance"],"summary":"Confirm daily numbers","description":"Confirm daily numbers.\n\nConfirming for a specified date might fail if:\n- Mandatory field is not present.\n- Comments must be filled in the weekly balance cash difference. Cash difference is detected, but not comment is present.\n\nIn both cases, the exact error reason will be specified in the description node and HTTP status will be 412 (Preconditional failed)\n\nYou can confirm a day regardless of whether the week is approved automatically. Week approval only acts a gate to prevent using the confirm endpoint for non-admin users. If the API user is an administrator, it can confirm a day even if the week is approved automatically.","operationId":"post-clientToken-weekly_balance-confirm-date-register_number","parameters":[{"name":"clientToken","in":"path","description":"Please use the full clienttoken (c-part and d-part) to ensure that you send the data to the right department. Example c1234d4321","required":true,"schema":{"type":"string"}},{"name":"date","in":"path","description":"Date to confirm. Format: YYYY-MM-DD","required":true,"schema":{"type":"string"}},{"name":"register_number","in":"path","description":"Number of the register. 1=Register 1, 2=Register 2 and so on","required":true,"schema":{"type":"number"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","default":"ok"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.samesystem.dev/api-v1-reference/weekly-balance/confirm-daily-numbers.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
